/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCIT_constraint.sql **/
EXEC p_DropIdx 'IDX_TCCIT_DKSSZBJ_SUMMARY', 'T_TCCIT_DKSSZBJ_SUMMARY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_DKSSZBJ_SUMMARY') CREATE UNIQUE INDEX IDX_TCCIT_DKSSZBJ_SUMMARY ON T_TCCIT_DKSSZBJ_SUMMARY ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_DKSSZBJ_SUMMARY_1') CREATE INDEX IDX_TCCIT_DKSSZBJ_SUMMARY_1 ON T_TCCIT_DKSSZBJ_SUMMARY ( FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_ZJGXX_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_ZJGXX_1 ON T_TCCIT_QYSDS_ZJGXX ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_SGGFXX_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_SGGFXX_1 ON T_TCCIT_QYSDS_SGGFXX ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_GDXX_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_GDXX_1 ON T_TCCIT_QYSDS_GDXX ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_DYNSBAB_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_DYNSBAB_1 ON T_TCCIT_QYSDS_DYNSBAB ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_CZGFXX_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_CZGFXX_1 ON T_TCCIT_QYSDS_CZGFXX ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A109010_ZJG_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A109010_ZJG_1 ON T_TCCIT_QYSDS_A109010_ZJG ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A108030_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A108030_1 ON T_TCCIT_QYSDS_A108030 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A108020_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A108020_1 ON T_TCCIT_QYSDS_A108020 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A108000_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A108000_1 ON T_TCCIT_QYSDS_A108000 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A107050_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A107050_1 ON T_TCCIT_QYSDS_A107050 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A107030_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A107030_1 ON T_TCCIT_QYSDS_A107030 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A107020_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A107020_1 ON T_TCCIT_QYSDS_A107020 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A107012_MX_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A107012_MX_1 ON T_TCCIT_QYSDS_A107012_MX ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A107012_JB_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A107012_JB_1 ON T_TCCIT_QYSDS_A107012_JB ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A107011_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A107011_1 ON T_TCCIT_QYSDS_A107011 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105120_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105120_1 ON T_TCCIT_QYSDS_A105120 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105110_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105110_1 ON T_TCCIT_QYSDS_A105110 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105100_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105100_1 ON T_TCCIT_QYSDS_A105100 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105080_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105080_1 ON T_TCCIT_QYSDS_A105080 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105070_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105070_1 ON T_TCCIT_QYSDS_A105070 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105060_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105060_1 ON T_TCCIT_QYSDS_A105060 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105050_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105050_1 ON T_TCCIT_QYSDS_A105050 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105040_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105040_1 ON T_TCCIT_QYSDS_A105040 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105030_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105030_1 ON T_TCCIT_QYSDS_A105030 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105020_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105020_1 ON T_TCCIT_QYSDS_A105020 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105010_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105010_1 ON T_TCCIT_QYSDS_A105010 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A104000_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A104000_1 ON T_TCCIT_QYSDS_A104000 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A103000_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A103000_1 ON T_TCCIT_QYSDS_A103000 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A102020_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A102020_1 ON T_TCCIT_QYSDS_A102020 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A102010_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A102010_1 ON T_TCCIT_QYSDS_A102010 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A101020_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A101020_1 ON T_TCCIT_QYSDS_A101020 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A101010_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A101010_1 ON T_TCCIT_QYSDS_A101010 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A100000_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A100000_1 ON T_TCCIT_QYSDS_A100000 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_DSXX_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_DSXX_1 ON T_TCCIT_QYSDS_DSXX ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A109010_FZ_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A109010_FZ_1 ON T_TCCIT_QYSDS_A109010_FZ ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A109000_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A109000_1 ON T_TCCIT_QYSDS_A109000 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_TAB_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_TAB_1 ON T_TCCIT_QYSDS_TAB ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_FZJGXX_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_FZJGXX_1 ON T_TCCIT_QYSDS_FZJGXX ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A107010_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A107010_1 ON T_TCCIT_QYSDS_A107010 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105000_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105000_1 ON T_TCCIT_QYSDS_A105000 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_MSYHMX_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_MSYHMX_1 ON T_TCCIT_QYSDS_MSYHMX ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_FZJGFP_2015_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_FZJGFP_2015_1 ON T_TCCIT_QYSDS_FZJGFP_2015 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_GDZC_2015_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_GDZC_2015_1 ON T_TCCIT_QYSDS_GDZC_2015 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_JMMX_2015_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_JMMX_2015_1 ON T_TCCIT_QYSDS_JMMX_2015 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_JMSD_2015_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_JMSD_2015_1 ON T_TCCIT_QYSDS_JMSD_2015 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_ZB_2015_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_ZB_2015_1 ON T_TCCIT_QYSDS_ZB_2015 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A107041_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A107041_1 ON T_TCCIT_QYSDS_A107041 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_HDZS_B_2015_1') CREATE UNIQUE INDEX IDX_TCCIT_HDZS_B_2015_1 ON T_TCCIT_HDZS_B_2015 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_JDTBXX_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_JDTBXX_1 ON T_TCCIT_QYSDS_JDTBXX ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A000000_GD_2') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A000000_GD_2 ON T_TCCIT_QYSDS_A000000_GD ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_JMSDSYH_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_JMSDSYH_1 ON T_TCCIT_QYSDS_JMSDSYH ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_HSQJSBB_B_2018_1') CREATE UNIQUE INDEX IDX_TCCIT_HSQJSBB_B_2018_1 ON T_TCCIT_HSQJSBB_B_2018 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105090_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105090_1 ON T_TCCIT_QYSDS_A105090 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A108010_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A108010_1 ON T_TCCIT_QYSDS_A108010 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A107040_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A107040_1 ON T_TCCIT_QYSDS_A107040 ( FEWBLXH ,FSBBID );

EXEC p_DropIdx 'IDX_TCCIT_QYSDS_A105120_DK', 'T_TCCIT_QYSDS_A105120_DK';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105120_DK') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A105120_DK ON T_TCCIT_QYSDS_A105120_DK ( FEWBLXH ,FEWBLNAME ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A105120_DK_1') CREATE INDEX IDX_TCCIT_QYSDS_A105120_DK_1 ON T_TCCIT_QYSDS_A105120_DK ( FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A107042_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A107042_1 ON T_TCCIT_QYSDS_A107042 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A107042_BA_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A107042_BA_1 ON T_TCCIT_QYSDS_A107042_BA ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A000000_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A000000_1 ON T_TCCIT_QYSDS_A000000 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_A106000_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_A106000_1 ON T_TCCIT_QYSDS_A106000 ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_EXT_SBBID_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_EXT_SBBID_1 ON T_TCCIT_QYSDS_EXT ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_GDZCZJYHMX_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_GDZCZJYHMX_1 ON T_TCCIT_QYSDS_GDZCZJYHMX ( FEWBLXH ,FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCCIT_QYSDS_ZB_1') CREATE UNIQUE INDEX IDX_TCCIT_QYSDS_ZB_1 ON T_TCCIT_QYSDS_ZB ( FEWBLXH ,FSBBID );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCIT_constraint.sql **/
